Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class DataGridTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.DataGridTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class DataGridTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`DataGridTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAjaxKeys(javax.el.ValueExpression __ajaxKeys)` This attribute defines row keys that are updated after an AJAX request Setter for ajaxKeys
`void` | `setAlign(javax.el.ValueExpression __align)` Deprecated.
`void` | `setBgcolor(javax.el.ValueExpression __bgcolor)` Deprecated.
`void` | `setBorder(javax.el.ValueExpression __border)` This attributes specifies the width of the frame around a component.
`void` | `setCaptionClass(javax.el.ValueExpression __captionClass)` Assigns one or more space-separated CSS class names to the component caption Setter for captionClass
`void` | `setCaptionStyle(javax.el.ValueExpression __captionStyle)` CSS style rules to be applied to the component caption Setter for captionStyle
`void` | `setCellpadding(javax.el.ValueExpression __cellpadding)` This attribute specifies the amount of space between the border of the cell and its contents.
`void` | `setCellspacing(javax.el.ValueExpression __cellspacing)` This attribute specifies the amount of space between the border of the cell and its contents.
`void` | `setColumnClasses(javax.el.ValueExpression __columnClasses)` Assigns one or more space-separated CSS class names to the columns of the table.
`void` | `setColumns(javax.el.ValueExpression __columns)` Number of columns Setter for columns
`void` | `setComponentState(javax.el.ValueExpression __componentState)` It defines EL-binding for a component state for saving or redefinition Setter for componentState
`void` | `setElements(javax.el.ValueExpression __elements)` Number of elements in grid Setter for elements
`void` | `setFirst(javax.el.ValueExpression __first)` A zero-relative row number of the first row to display Setter for first
`void` | `setFooterClass(javax.el.ValueExpression __footerClass)` Assigns one or more space-separated CSS class names to the component footer Setter for footerClass
`void` | `setFrame(javax.el.ValueExpression __frame)` This attribute specifies which sides of the frame surrounding a table will be visible.
`void` | `setHeaderClass(javax.el.ValueExpression __headerClass)` Assigns one or more space-separated CSS class names to the component header Setter for headerClass
`void` | `setOnRowClick(javax.el.ValueExpression __onRowClick)` The client-side script method to be called when the row is clicked Setter for onRowClick
`void` | `setOnRowDblClick(javax.el.ValueExpression __onRowDblClick)` The client-side script method to be called when the row is double-clicked Setter for onRowDblClick
`void` | `setOnRowMouseDown(javax.el.ValueExpression __onRowMouseDown)` The client-side script method to be called when a mouse button is pressed down over the row Setter for onRowMouseDown
`void` | `setOnRowMouseMove(javax.el.ValueExpression __onRowMouseMove)` The client-side script method to be called when a pointer is moved within the row Setter for onRowMouseMove
`void` | `setOnRowMouseOut(javax.el.ValueExpression __onRowMouseOut)` The client-side script method to be called when a pointer is moved away from the row Setter for onRowMouseOut
`void` | `setOnRowMouseOver(javax.el.ValueExpression __onRowMouseOver)` The client-side script method to be called when a pointer is moved onto the row Setter for onRowMouseOver
`void` | `setOnRowMouseUp(javax.el.ValueExpression __onRowMouseUp)` The client-side script method to be called when a mouse button is released over the row Setter for onRowMouseUp
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRowClasses(javax.el.ValueExpression __rowClasses)` Assigns one or more space-separated CSS class names to the rows of the table.
`void` | `setRowKey(javax.el.ValueExpression __rowKey)` RowKey is a representation of an identifier for a specific data row Setter for rowKey
`void` | `setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)` Converter for a row key object Setter for rowKeyConverter
`void` | `setRowKeyVar(javax.el.ValueExpression __rowKeyVar)` Request scoped variable for client access to rowKey Setter for rowKeyVar
`void` | `setRules(javax.el.ValueExpression __rules)` This attribute specifies which rules will appear between cells within a table.
`void` | `setStateVar(javax.el.ValueExpression __stateVar)` The attribute provides access to a component state on the client side Setter for stateVar
`void` | `setSummary(javax.el.ValueExpression __summary)` This attribute provides a summary of the table's purpose and structure for user agents rendering to non-visual media such as speech and Braille Setter for summary
`void` | `setValue(javax.el.ValueExpression __value)` The current value for this component Setter for value
`void` | `setVar(java.lang.String __var)` A request-scope attribute via which the data object for the current row will be used when iterating Setter for var
`void` | `setWidth(javax.el.ValueExpression __width)` This attribute specifies the desired width of the entire table and is intended for visual user agents.

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### DataGridTag

    public DataGridTag()

Method Detail

### setAjaxKeys

    public void setAjaxKeys(javax.el.ValueExpression __ajaxKeys)

  This attribute defines row keys that are updated after an AJAX request Setter for ajaxKeys

  Parameters:
    `ajaxKeys` - - new value

### setAlign

    public void setAlign(javax.el.ValueExpression __align)

  Deprecated. This attribute specifies the position of the table with respect to the document. The possible values are "left", "center" and "right". The default value is "left". Setter for align

  Parameters:
    `align` - - new value

### setBgcolor

    public void setBgcolor(javax.el.ValueExpression __bgcolor)

  Deprecated. This attribute sets the background color for the document body or table cells. This attribute sets the background color of the canvas for the document body (the BODY element) or for tables (the TABLE, TR, TH, and TD elements). Additional attributes for specifying text color can be used with the BODY element. This attribute has been deprecated in favor of style sheets for specifying background color information Setter for bgcolor

  Parameters:
    `bgcolor` - - new value

### setBorder

    public void setBorder(javax.el.ValueExpression __border)

  This attributes specifies the width of the frame around a component. Default value is "0". Setter for border

  Parameters:
    `border` - - new value

### setCaptionClass

    public void setCaptionClass(javax.el.ValueExpression __captionClass)

  Assigns one or more space-separated CSS class names to the component caption Setter for captionClass

  Parameters:
    `captionClass` - - new value

### setCaptionStyle

    public void setCaptionStyle(javax.el.ValueExpression __captionStyle)

  CSS style rules to be applied to the component caption Setter for captionStyle

  Parameters:
    `captionStyle` - - new value

### setCellpadding

    public void setCellpadding(javax.el.ValueExpression __cellpadding)

  This attribute specifies the amount of space between the border of the cell and its contents. Default value is "0". Setter for cellpadding

  Parameters:
    `cellpadding` - - new value

### setCellspacing

    public void setCellspacing(javax.el.ValueExpression __cellspacing)

  This attribute specifies the amount of space between the border of the cell and its contents. The attribute also specifies the amount of space to leave between cells. Default value is "0". Setter for cellspacing

  Parameters:
    `cellspacing` - - new value

### setColumnClasses

    public void setColumnClasses(javax.el.ValueExpression __columnClasses)

  Assigns one or more space-separated CSS class names to the columns of the table. If the CSS class names are comma-separated, each class will be assigned to a particular column in the order they follow in the attribute. If you have less class names than columns, the class will be applied to every n-fold column where n is the order in which the class is listed in the attribute. If there are more class names than columns, the overflow ones are ignored. Setter for columnClasses

  Parameters:
    `columnClasses` - - new value

### setColumns

    public void setColumns(javax.el.ValueExpression __columns)

  Number of columns Setter for columns

  Parameters:
    `columns` - - new value

### setComponentState

    public void setComponentState(javax.el.ValueExpression __componentState)

  It defines EL-binding for a component state for saving or redefinition Setter for componentState

  Parameters:
    `componentState` - - new value

### setElements

    public void setElements(javax.el.ValueExpression __elements)

  Number of elements in grid Setter for elements

  Parameters:
    `elements` - - new value

### setFirst

    public void setFirst(javax.el.ValueExpression __first)

  A zero-relative row number of the first row to display Setter for first

  Parameters:
    `first` - - new value

### setFooterClass

    public void setFooterClass(javax.el.ValueExpression __footerClass)

  Assigns one or more space-separated CSS class names to the component footer Setter for footerClass

  Parameters:
    `footerClass` - - new value

### setFrame

    public void setFrame(javax.el.ValueExpression __frame)

  This attribute specifies which sides of the frame surrounding a table will be visible. Possible values: "void", "above", "below", "hsides", "lhs", "rhs", "vsides", "box" and "border". The default value is "void". Setter for frame

  Parameters:
    `frame` - - new value

### setHeaderClass

    public void setHeaderClass(javax.el.ValueExpression __headerClass)

  Assigns one or more space-separated CSS class names to the component header Setter for headerClass

  Parameters:
    `headerClass` - - new value

### setOnRowClick

    public void setOnRowClick(javax.el.ValueExpression __onRowClick)

  The client-side script method to be called when the row is clicked Setter for onRowClick

  Parameters:
    `onRowClick` - - new value

### setOnRowDblClick

    public void setOnRowDblClick(javax.el.ValueExpression __onRowDblClick)

  The client-side script method to be called when the row is double-clicked Setter for onRowDblClick

  Parameters:
    `onRowDblClick` - - new value

### setOnRowMouseDown

    public void setOnRowMouseDown(javax.el.ValueExpression __onRowMouseDown)

  The client-side script method to be called when a mouse button is pressed down over the row Setter for onRowMouseDown

  Parameters:
    `onRowMouseDown` - - new value

### setOnRowMouseMove

    public void setOnRowMouseMove(javax.el.ValueExpression __onRowMouseMove)

  The client-side script method to be called when a pointer is moved within the row Setter for onRowMouseMove

  Parameters:
    `onRowMouseMove` - - new value

### setOnRowMouseOut

    public void setOnRowMouseOut(javax.el.ValueExpression __onRowMouseOut)

  The client-side script method to be called when a pointer is moved away from the row Setter for onRowMouseOut

  Parameters:
    `onRowMouseOut` - - new value

### setOnRowMouseOver

    public void setOnRowMouseOver(javax.el.ValueExpression __onRowMouseOver)

  The client-side script method to be called when a pointer is moved onto the row Setter for onRowMouseOver

  Parameters:
    `onRowMouseOver` - - new value

### setOnRowMouseUp

    public void setOnRowMouseUp(javax.el.ValueExpression __onRowMouseUp)

  The client-side script method to be called when a mouse button is released over the row Setter for onRowMouseUp

  Parameters:
    `onRowMouseUp` - - new value

### setRowClasses

    public void setRowClasses(javax.el.ValueExpression __rowClasses)

  Assigns one or more space-separated CSS class names to the rows of the table. If the CSS class names are comma-separated, each class will be assigned to a particular row in the order they follow in the attribute. If you have less class names than rows, the class will be applied to every n-fold row where n is the order in which the class is listed in the attribute. If there are more class names than rows, the overflow ones are ignored. Setter for rowClasses

  Parameters:
    `rowClasses` - - new value

### setRowKey

    public void setRowKey(javax.el.ValueExpression __rowKey)

  RowKey is a representation of an identifier for a specific data row Setter for rowKey

  Parameters:
    `rowKey` - - new value

### setRowKeyConverter

    public void setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)

  Converter for a row key object Setter for rowKeyConverter

  Parameters:
    `rowKeyConverter` - - new value

### setRowKeyVar

    public void setRowKeyVar(javax.el.ValueExpression __rowKeyVar)

  Request scoped variable for client access to rowKey Setter for rowKeyVar

  Parameters:
    `rowKeyVar` - - new value

### setRules

    public void setRules(javax.el.ValueExpression __rules)

  This attribute specifies which rules will appear between cells within a table. The rendering of rules is user agent dependent. Possible values: none: No rules. This is the default value. groups: Rules will appear between row groups (see THEAD, TFOOT, and TBODY) and column groups (see COLGROUP and COL) only. rows: Rules will appear between rows only. cols: Rules will appear between columns only. all: Rules will appear between all rows and columns Setter for rules

  Parameters:
    `rules` - - new value

### setStateVar

    public void setStateVar(javax.el.ValueExpression __stateVar)

  The attribute provides access to a component state on the client side Setter for stateVar

  Parameters:
    `stateVar` - - new value

### setSummary

    public void setSummary(javax.el.ValueExpression __summary)

  This attribute provides a summary of the table's purpose and structure for user agents rendering to non-visual media such as speech and Braille Setter for summary

  Parameters:
    `summary` - - new value

### setValue

    public void setValue(javax.el.ValueExpression __value)

  The current value for this component Setter for value

  Parameters:
    `value` - - new value

### setVar

    public void setVar(java.lang.String __var)

  A request-scope attribute via which the data object for the current row will be used when iterating Setter for var

  Parameters:
    `var` - - new value

### setWidth

    public void setWidth(javax.el.ValueExpression __width)

  This attribute specifies the desired width of the entire table and is intended for visual user agents. When the value is percentage value, the value is relative to the user agent's available horizontal space. In the absence of any width specification, table width is determined by the user agent Setter for width

  Parameters:
    `width` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.